Subject: Re: best way to prevent a cygwin build?
From: Csaba Raduly <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 2 Dec 2011 10:47:07 +0100
List-Id: <cygwin.cygwin.com>

On Fri, Dec 2, 2011 at 8:46 AM, Paul Allen Newell  wrote:
> Dear Cygwin:
>
> I have a network of Fedora machines and WinXP running Cygwin. Most of the
> projects I work on can be compiled/linked/run under both, but there are
> exceptions. As in Maya ...
>
> I am not happy with having to run two separate source trees and would like a
> way (as in "best standard") to add something to any Maya makefile which will
> prevent execution if it is being compiled on Cygwin. The best I have been
> able to come up with is a check under each make directive, but that's alot
> of exceptions where I would think only one would be necessary.
>
> I searched the GNU make docs and googled for such, but the best I could see
> were bailout rules under a given make rule directive. I can find out whether
> I need to bail by the test "ifeq (Cygwin, $(shell uname -o))" but can't
> figure out a way to have the makefile ask this question once for the entire
> set of make directives in it.

ifeq (Cygwin, $(shell uname -o))
PLATFORM := CYGWIN
endif

.
.
.

ifeq ($(PLATFORM), CYGWIN)
# Cygwin-specific stuff
endif

-- 
GCS a+ e++ d- C++ ULS$ L+$ !E- W++ P+++$ w++$ tv+ b++ DI D++ 5++
The Tao of math: The numbers you can count are not the real numbers.
Life is complex, with real and imaginary parts.
"Ok, it boots. Which means it must be bug-free and perfect. " -- Linus Torvalds
"People disagree with me. I just ignore them." -- Linus Torvalds

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple